<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- File/Synopsis/TypeAnalysis/Visitor.hh.html -->
<!-- this view was generated by FileIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/TypeAnalysis/Visitor.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileIndex">
<b >Synopsis/TypeAnalysis/Visitor.hh</b>
<div><a href="../../../Source/Synopsis/TypeAnalysis/Visitor.hh.html" target="content">source code</a></div>
<div><a href="../../../FileDetails/Synopsis/TypeAnalysis/Visitor.hh.html" target="content">details</a></div>
<div class="heading">Declarations</div>
<div class="href"><a href="../../../Scopes/Synopsis.html" target="content" title="(namespace)">Synopsis</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis.html" target="content" title="(namespace)">TypeAnalysis</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Array.html" target="content" title="(class)">Array</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/BuiltinType.html" target="content" title="(class)">BuiltinType</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/CVType.html" target="content" title="(class)">CVType</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Class.html" target="content" title="(class)">Class</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Enum.html" target="content" title="(class)">Enum</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Function.html" target="content" title="(class)">Function</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Pointer.html" target="content" title="(class)">Pointer</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/PointerToMember.html" target="content" title="(class)">PointerToMember</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Reference.html" target="content" title="(class)">Reference</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" target="content" title="(class)">Type</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Union.html" target="content" title="(class)">Union</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html" target="content" title="(class)">Visitor</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lArray_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lBuiltinType_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lCVType_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lClass_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lEnum_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lFunction_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lPointer_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lPointerToMember_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lReference_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lType_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#visit_lUnion_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/TypeAnalysis/Visitor.html#_tVisitor_l_r" target="content" title="(member function)">~Visitor</a></div></div>
</div>
</div>

</body>
</html>
